 
#include <IRremote.h>               // подключение библиотеки 
int RECV_PIN = 11;                  // указываем вывод, к которому подключен приемник
IRrecv irrecv(RECV_PIN); 
decode_results results;

//Прописываем коды кнопок
  const long BUT_1 = 0x20DF8877;
  const long BUT_2 = 0x20DF48B7;
  const long BUT_3 = 0x20DFC837;
  const long BUT_4 = 0x20DF28D7;
  const long BUT_5 = 0x20DFA857;
  const long BUT_6 = 0x20DF6897;
  const long BUT_7 = 0x20DFE817;
  const long BUT_8 = 0x20DF18E7;
  const long BUT_9 = 0x20DF9867;
  const long BUT_0 = 0x20DF08F7;

// Указываем на каком пине модуль из 8 реле
  const int RELAY_1 = 2;
  const int RELAY_2 = 3;
  const int RELAY_3 = 4;
  const int RELAY_4 = 5;
  const int RELAY_5 = 6;
  const int RELAY_6 = 7;
  const int RELAY_7 = 8;
  const int RELAY_8 = 9;   

// Устанавливаем флаг РЕЛЕ
  boolean RELAY_1_flag = 0; 
  boolean RELAY_2_flag = 0;
  boolean RELAY_3_flag = 0;
  boolean RELAY_4_flag = 0;
  boolean RELAY_5_flag = 0;
  boolean RELAY_6_flag = 0;
  boolean RELAY_7_flag = 0;
  boolean RELAY_8_flag = 0;

void setup(){
  Serial.begin(9600);
  pinMode(RELAY_1, OUTPUT);
  pinMode(RELAY_2, OUTPUT);
  pinMode(RELAY_3, OUTPUT);
  pinMode(RELAY_4, OUTPUT);
  pinMode(RELAY_5, OUTPUT);
  pinMode(RELAY_6, OUTPUT);
  pinMode(RELAY_7, OUTPUT);
  pinMode(RELAY_8, OUTPUT);

// Выключаем все реле
  digitalWrite( RELAY_1, HIGH );
  digitalWrite( RELAY_2, HIGH );
  digitalWrite( RELAY_3, HIGH );
  digitalWrite( RELAY_4, HIGH );
  digitalWrite( RELAY_5, HIGH );
  digitalWrite( RELAY_6, HIGH );
  digitalWrite( RELAY_7, HIGH );
  digitalWrite( RELAY_8, HIGH );
  
  irrecv.enableIRIn();                      // инициализация приемника
}
void loop() {
  Serial.println(digitalRead(RELAY_1));
  if ( irrecv.decode( &results )) {         // если данные пришли
    switch ( results.value ) {
    case BUT_1:
        digitalWrite( RELAY_1, LOW );
        break;
    case BUT_2:
        digitalWrite( RELAY_2, LOW );
        break;
    case BUT_3:
        digitalWrite( RELAY_3, LOW );
        break;
    case BUT_4:
        digitalWrite( RELAY_4, LOW );
        break;
    case BUT_5:
        digitalWrite( RELAY_5, LOW );
        break;
    case BUT_6:
        digitalWrite( RELAY_6, LOW );
        break;
//    case BUT_7:
//        digitalWrite( RELAY_7, LOW );
//        break;
    case BUT_7:
        RELAY_7_flag = !RELAY_7_flag;
        digitalWrite( RELAY_7, RELAY_7_flag );
        break;
//    case BUT_8:
//        digitalWrite( RELAY_8, LOW );
//        break;
    case BUT_8:
        RELAY_8_flag = !RELAY_8_flag;
        digitalWrite( RELAY_8, RELAY_8_flag );
        break; 
        
// Все включить 
    case BUT_9:
        digitalWrite( RELAY_1, LOW );
        digitalWrite( RELAY_2, LOW );
        digitalWrite( RELAY_3, LOW );
        digitalWrite( RELAY_4, LOW );
        digitalWrite( RELAY_5, LOW );
        digitalWrite( RELAY_6, LOW );
        digitalWrite( RELAY_7, LOW );
        digitalWrite( RELAY_8, LOW );
        break;
// Все выключить
    case BUT_0:
        digitalWrite( RELAY_1, HIGH );
        digitalWrite( RELAY_2, HIGH );
        digitalWrite( RELAY_3, HIGH );
        digitalWrite( RELAY_4, HIGH );
        digitalWrite( RELAY_5, HIGH );
        digitalWrite( RELAY_6, HIGH );
        digitalWrite( RELAY_7, HIGH );
        digitalWrite( RELAY_8, HIGH );
        break;
    }    
    irrecv.resume(); // принимаем следующую команду
  }       

}
